//
// Testet den Hauptcode, verwaltet die Spieler
//

import java.util.ArrayList;

class LottoSpiel {
	public static void main (String[] args) {

		// Objekte erzeugen
		LottoGesellschaft westLotto = new LottoGesellschaft ();
		Benutzereingabe eingabe = new Benutzereingabe ();				// Code-Fertiggericht aus dem Buch
		ArrayList<LottoTipp> alleTipps = new ArrayList<LottoTipp> ();	// Die Benutzer sollen in einer ArrayList gespeichert werden
		
		int[] lottoZahlen = new int[6];									// Zwischenspeicher-Array fuer Lottozahlen des Spielers
		

		// immer wieder Spieler hinzufuegen, bis "nein" eingegeben wird
		boolean weiterspielen = true;
		do {
			System.out.println ("Wir nehmen nur gueltige Zahlen zwischen 1 und 49. Die Westlotto-Gesellschaft.");

			// Name des Spielers abfragen
			String nameDesSpielers = eingabe.getBenutzereingabe ("Wie heissen Sie denn: ");
			
			// Lottozahlen eingeben und als int speichern
			for (int zahl = 0; zahl < 6; zahl++) {
				lottoZahlen[zahl] = Integer.parseInt (eingabe.getBenutzereingabe ("Geben Sie Ihre " + (zahl + 1) + " Zahl ein:"));
			}

			// neuen Spieler nur dann hinzufuegen, wenn er einen gueltigen Tipp abgegeben hat
			// der Tipp darf keinen doppelten Zahlen oder Zahlen ausserhalb des gltigen Wertebereiches enthalten
			if ( westLotto.pruefeWertebereich (lottoZahlen) == true ) {
				LottoTipp neuerTipp = new LottoTipp ();
				neuerTipp.setName (nameDesSpielers);
				neuerTipp.setTipp (lottoZahlen);
				alleTipps.add (neuerTipp);
			} else {
				System.out.println ("Ein ungueltiger Tipp.");
			}
		
			// einfache ja / nein Abfrage, ob weitere Spieler aufgenommen werden sollen
			String weiter = eingabe.getBenutzereingabe ("Noch ein Spieler? (ja / nein) ");
			if (weiter.equals ("ja")) {
				weiterspielen = true;
			} else if (weiter.equals ("nein")) {
				weiterspielen = false;
			}
		} while (weiterspielen == true);
		
		
		// alle Spieler mit ihren Tipps ausgeben
		System.out.println ("Wir haben " + alleTipps.size () + " Lottospieler:");
		for (LottoTipp einTipp : alleTipps) {
			System.out.print (einTipp.getName () + " tippt auf ");
			for (int zahl : einTipp.getTipp ()) {
				System.out.print (zahl + " ");					// Tipp ausgeben
			}
			System.out.println ();
		}
		
		
		System.out.print ("Folgende Gewinnzahlen wurden gezogen: ");
		westLotto.zieheGewinnzahlen ();							// Gewinnzahlen ziehen
		for (int zahl : westLotto.getGewinnzahlen ()) {			// Gewinnzahlen ausgeben
			System.out.print (zahl + " ");
		}
		System.out.println ();
	}
}